%global momorel 3

Summary: Generic Security Services Application Programming Interface Library
Name: libgssapi
Version: 0.10
Release: %{momorel}m%{?dist}
URL: http://www.citi.umich.edu/projects/nfsv4/linux/
License: GPL
Source0: http://www.citi.umich.edu/projects/nfsv4/linux/libgssapi/libgssapi-%{version}.tar.gz
NoSource: 0
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pkgconfig
Requires(postun): /sbin/ldconfig
Requires(pre): /sbin/ldconfig
PreReq: krb5-libs

%description
This library exports a gssapi interface, but doesn't implement any gssapi
mechanisms itself; instead it calls gssapi routines in other libraries,
depending on the mechanism.

%package devel
Summary: Development files for the gssapi library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

Patch0: libgssapi-0.7-gssapi_mech.patch

%description devel
This package includes header files and libraries necessary for
developing programs which use the gssapi library.

%prep
%setup -q
%patch0 -p1

%build
%configure --prefix=%{buildroot}
make all 

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc
%makeinstall
install -m 644 doc/gssapi_mech.conf %{buildroot}/etc/gssapi_mech.conf

# DO NOT REMOVE la files
# find %{buildroot} -name "*.la" -delete

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/libgssapi.la
%{_libdir}/libgssapi.so.*
%config(noreplace) /etc/gssapi_mech.conf

%files devel
%defattr(0644,root,root,755)
%{_libdir}/libgssapi.so
%{_libdir}/libgssapi.a
%{_includedir}/gssglue/gssapi/gssapi.h
%{_libdir}/pkgconfig/libgssapi.pc

%changelog
* Wed Jul 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.10-3m)
- revive la file and move it to main package

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10-2m)
- delete libtool library

* Wed Dec 27 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10-1m)
- update 0.10

* Fri Jun  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.9-1m)
- initialize based fc

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.7-2.1
- bump again for double-long bug on ppc(64)

* Thu Feb 09 2006 Florian La Roche <laroche@redhat.com>
- remove empty scripts

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.7-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Jan 6 2006 Steve Dickson <steved@redhat.com>  0.7-1
- Initial commit
